---
title: 'dataproc/BP/2021_001'
linkTitle: 'BP/2021_001'
weight: 1
type: docs
description: >
  Job driver logs are enabled in Stackdriver Logging
---

**Product**: [Cloud Dataproc](https://cloud.google.com/dataproc)\
**Rule class**: WARN - Something that is possibly wrong

### Description

Enabling stackdriver logging for your dataproc cluster impacts the ability to troubleshoot any issues that you might have.

If you are a Google Cloud Support customer, keeping system logging and monitoring enabled is important even if you have your own monitoring solution, because otherwise the support team won’t have access to logs and monitoring data used for troubleshooting. This is the more relevant when creating ephemeral clusters.

### Remediation

Verify that dataproc property dataproc.logging.stackdriver.job.driver.enable is set to "true".

To enable job driver logs in Logging, set the following cluster property when [creating the cluster](https://cloud.google.com/dataproc/docs/concepts/configuring-clusters/cluster-properties#service_properties):

### Further information

[Dataproc job logs in Logging](https://cloud.google.com/dataproc/docs/guides/logging#job_logs_in)
